// Source: https://gitlab.com/pleio/frontend/-/blob/dev/src/js/components/Select/SelectOptions.jsx
// Note: see https://gitlab.com/pleio/frontend/-/blob/dev/src/js/theme/themeConstants.js for constants

.SelectOptions__Wrapper {
  background-color: white;
  border-right: 1px solid rgb(148, 148, 148);
  border-bottom: 1px solid rgb(148, 148, 148);
  border-left: 1px solid rgb(148, 148, 148);
  border-image: initial;
  border-top: none;
  border-radius: 0px 0px 4px 4px;
  box-shadow: rgb(0 0 0 / 15%) 0px 4px 16px -4px;
  color: rgb(0, 0, 0);
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: normal;
  text-align: left;
  overflow: hidden;

  position: absolute;
  width: 100%;
  z-index: 999;
  top: 100%;
  visibility: hidden;

  .SelectContainer.visible & {
    visibility: visible;
  }
}

.SelectOptions {
  max-height: 400px;
  overflow-y: auto;
  padding: 4px 0;

  > * {
    outline-offset: -2px;

    &.focused {
      outline: 2px solid #000000;
    }
  }
}

.SelectOption {
  width: 100%;
  padding: 4px 16px;
  font-size: 0.875rem;
  line-height: 1.25rem;
  outline-offset: -2px;

  text-align: left; // Set on <button> in the Pleio styles
  display: block; // Same

  &:hover {
    background-color: rgba(0,0,0,.03);
  }

  &:active {
    background-color: rgba(0,0,0,.06);
  }

  &[disabled] {
    color: rgba(0,0,0,.55);
  }

  &[aria-current='true'] {
    color: rgb(14, 47, 86);
    pointer-events: none;
  }
}

